Epoch: 1
%define module_name ICC-Profile
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Compress/Raw/Zlib.pm) perl(Config.pm) perl(Data/Dumper.pm) perl(Digest/MD5.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(Exporter.pm) perl(File/Glob.pm) perl(File/Path.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(List/Util.pm) perl(Math/Complex.pm) perl(Module/Build.pm) perl(Scalar/Util.pm) perl(Storable.pm) perl(Template.pm) perl(Test/More.pm) perl(Time/Piece.pm) perl(XML/LibXML.pm) perl(XSLoader.pm) perl(YAML/Tiny.pm) perl(parent.pm) perl(Math/Matrix.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.7
Release: alt2
Summary: A set of object-oriented modules implementing ICC profiles and related color functions
Group: Development/Perl
License: gpl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BI/BIRKETT/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This set of modules is the color tool kit I developed as a consultant in the printing business. I use
it for solving one-off problems and testing new ideas. The software was developed on the OS X operating
system. I have tried to make it portable to other OS, but I cannot test, so there may be issues. Let me
know if you find bugs .e' I will try to fix them.

There are three optional XS modules written in C that require compiling. These work on OS X, but are
not ported to other OS. Therefore, I have not released them to CPAN. I would appreciate help getting
these to work on Windows and Unix.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/I*

%changelog
* Sat Sep 15 2018 Igor Vlasenko <viy@altlinux.ru> 1:0.7-alt2
- regenerated from template by package builder

* Sat Mar 31 2018 Igor Vlasenko <viy@altlinux.ru> 0.606-alt1
- initial import by package builder

